> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve User profile

> Get the User profile information.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/user
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/user:
    get:
      tags:
        - User
      summary: Retrieve User profile
      description: Get the User profile information.
      responses:
        '200':
          description: Successfully retrieved User profile
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '422':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: 'Error: User not found'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        address1:
          type: string
          nullable: true
        address2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        nationalityCountry:
          type: string
          nullable: true
        signInWallets:
          type: array
          items:
            $ref: '#/components/schemas/EOAAccount'
        safeWallets:
          type: array
          items:
            $ref: '#/components/schemas/SafeAccount'
        kycStatus:
          $ref: '#/components/schemas/KYCStatus'
        availableFeatures:
          type: object
          properties:
            moneriumIban:
              type: boolean
        cards:
          type: array
          items:
            $ref: '#/components/schemas/Card'
        bankingDetails:
          $ref: '#/components/schemas/BankingDetails'
          type: object
          nullable: true
        isSourceOfFundsAnswered:
          type: boolean
        isPhoneValidated:
          type: boolean
        partnerId:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - ACTIVE
            - DEACTIVATED
    EOAAccount:
      type: object
      properties:
        id:
          type: string
          example: clp3j1f9a0000a1cdh6ezx2qv
        address:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        userId:
          type: string
          example: user_123
        createdAt:
          type: string
          format: date-time
          example: '2025-01-27T00:00:00Z'
    SafeAccount:
      type: object
      required:
        - address
        - createdAt
      properties:
        address:
          type: string
        chainId:
          type: string
        tokenSymbol:
          type: string
          example: EURe
        createdAt:
          type: string
          format: date-time
          example: '2025-01-27T00:00:00Z'
    KYCStatus:
      type: string
      enum:
        - notStarted
        - documentsRequested
        - pending
        - processing
        - approved
        - resubmissionRequested
        - rejected
        - requiresAction
    Card:
      type: object
      required:
        - id
        - lastFourDigits
      properties:
        id:
          type: string
        cardToken:
          type: string
        lastFourDigits:
          type: string
        activatedAt:
          type: string
          nullable: true
          format: date-time
        virtual:
          type: boolean
    BankingDetails:
      type: object
      properties:
        id:
          type: string
        address:
          type: string
        moneriumIban:
          type: string
        moneriumBic:
          type: string
        moneriumIbanStatus:
          type: string
        userId:
          type: string
        createdAt:
          type: string
          format: date-time
          example: '2025-01-27T00:00:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2025-01-27T00:00:00Z'
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````